#include <iostream>
#include <iomanip>
//#include <cmath>
//#include <algorithm>
//#include <string>
//#include <vector>
//#include <ctime>
//#include <cstdlib>
#include <limits>
//#include <mycpp.h>

using namespace std;

double Porez(int a[],double p[],int n, double pr)
{
	double S=0;
	for(int i=0;i<n;i++)
		if(p[i]>=pr)
			S+=a[i];
	cout<<S<<"         "<<pr<<endl;
	return S*(pr/100);
}

int main()
{
	int n;
	cin>>n;
	int a[n];
	double p[n];
	for(int i=0;i<n;i++)
		cin>>a[i]>>p[i];
	double maxpr=numeric_limits<double>::min();
	for(int i=0;i<n;i++)
	{
		double trpr=Porez(a,p,n,p[i]);
		if(trpr>maxpr)
			maxpr=trpr;
	}
	cout<<fixed<<setprecision(2)<<maxpr;
}